Contents

# Option VBASupport Statement

Specifies that LibreOfficeDev Basic will support some VBA statements, functions and objects.

This statement must be added before the executable program code in a module.

The support for VBA is not complete, but covers a large portion of the common usage patterns.

When VBA support is enabled, LibreOfficeDev Basic function arguments and return values are the same as their VBA functions counterparts. When the support is disabled, LibreOfficeDev Basic functions may accept arguments and return values different of their VBA counterparts.

### Syntax:

Option VBASupport {1|0}

### Parameters:

1: Enable VBA support in LibreOfficeDev

0: Disable VBA support

### Example:

    Option VBASupport 1
    Sub ExampleVBA
        Dim sVar As Single
        sVar = Worksheets("Sheet1").Range("A1")
        Print sVar
    End Sub

Related Topics

VBA Properties

VBA support in LibreOfficeDev

CompatibilityMode() Function

Option ClassModule Statement